/**
 * @filename:${entityName}Controller ${createTime}
 * @project ${project}  ${version}
 * Copyright(c) 2020 ${author} Co. Ltd. 
 * All right reserved. 
 */
package ${controllerUrl};

import ${entityUrl}.${entityName};
import ${facadeUrl}.${entityName}Facade;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.IPage;
<#if isSwagger=="true" >
import io.swagger.annotations.Api;
</#if>
/**   
 * <p>自动生成工具：mybatis-dsc-generator</p>
 * 
 * <p>说明： ${entityComment}API接口层</P>
 * @version: ${version}
 * @author: ${author}
 * @time    ${createTime}
 *
 */
 <#if isSwagger=="true" >
@Api(description = "${tableInfo.tableName}",value="${tableInfo.tableName}" )
</#if>
@RestController
@RequestMapping("/${objectName}")
public class ${entityName}Controller extends AbstractController<${entityName}Service,${entityName}>{

@Reference
protected ${entityName}Facade baseFacade;

/**
* @explain 查询对象  <swagger GET请求>
 * @param   对象参数：id
 * @return  BaseDtoResponse
 * @author  ${author}
 * @time    ${createTime}
 */
 @GetMapping("/getById/{id}")
 <#if isSwagger=="true" >
  @ApiOperation(value = "获取对象", notes = "作者：${author}")
  @ApiImplicitParam(paramType="path", name = "id", value = "对象id", required = true, dataType = "Long")
 </#if>
 public BaseDtoResponse<${entityName}> getById(@PathVariable("id")Long id){

 return null;
 }

 /**
 * @explain 删除对象
 * @param   对象参数：id
 * @return  BaseDtoResponse
 * @author  ${author}
 * @time    ${createTime}
 */
 @PostMapping("/deleteById")
 <#if isSwagger=="true" >
  @ApiOperation(value = "删除", notes = "作者：${author}")
  @ApiImplicitParam(paramType="query", name = "id", value = "对象id", required = true, dataType = "Long")
 </#if>
 public BaseDtoResponse<Boolean> deleteById(Long id){
  return null;
  }

  /**
  * @explain 添加
  * @param   对象参数：${entityName}
  * @return  Boolean
  * @author  ${author}
  * @time    ${createTime}
  */
  @PostMapping("/insert")
  <#if isSwagger=="true" >
   @ApiOperation(value = "添加", notes = "作者：${author}")
  </#if>
  public BaseDtoResponse<${entityName}> insert(${entityName} entity){
  return null;
  }

  /**
  * @explain 修改
  * @param   对象参数：${entityName}
  * @return  Boolean
  * @author  ${author}
  * @time    ${createTime}
  */
  @PostMapping("/update")
  <#if isSwagger=="true" >
   @ApiOperation(value = "修改", notes = "作者：${author}")
  </#if>
  public BaseDtoResponse<Boolean> update(${entityName} entity){
   return null;
   }

   /**
   * @explain 分页条件查询用户
   * @param   对象参数：PageableDto<${entityName}>
   * @return  PageInfo<${entityName}>
   * @author  ${author}
   * @time    ${createTime}
   */
   @GetMapping("/getPages")
   <#if isSwagger=="true" >
   @ApiOperation(value = "分页查询", notes = "分页查询返回[IPage<T>],作者：${author}")
    </#if>
    public BaseDtoResponse<PageInfo<${entityName}>> getPages(IPage param){
    return null;
    }

}